Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 06 Sep 2021 05:21:35 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Went to Sharjah city center mall. I am amazed and ashamed to say for the first time that I have the worst exp ever. My mobile num is 0553532472 check my Shukran history i am a regular buyer.
Store manager TRAVIS  was very rude. I bought 3 ladies shirts on 3rd Sept, and wore one of those shirt on 4th Sept , the shirt got threads out from the cough. i took back all the three shirts i bought and asked for a return and rather i would buy something else.
The approach o f the store manager was very unprofessional, first of all only 1 till was operational customers were waiting to pay.
The manager's first approach is " this is one of our best sellers and cannot be defected , its you who would have done something to the shirt that's why its torn.  I was amazed how efficiently he straight away blamed me for this,  when i told him can i talk to the manager, he said I am the manager there is noone above me.
the shirt was only AED 50 , and the one i was bought instaed was aed 100 each non promotional item.
I fail to understand how he cannot judge a customer who is spending more money and not after getting the 50 back.
His fellow colleague interrupted the conversation without any introduction and I told him not to interrupt.
Mr Manager had no name badge , not even in his uniform. With a wrong attitude to talk.
Retail is all about Detail and also about customer service, who in City center al Nahda is talking care of all these lines.
I dont know who will read this, and even though someone will read and even communicate with Mr Travis. I am today disgusted and super frustrated with SPLASH. i WILL NEVER GO TO CITY CENTER neither any of my friend i would recommend.
I request the management or Higher management to look into this.
ITS NOT ALWAYS ABOUT MONEY BUT ITS ALSO CX SERVICE THAT HELP US TO GENERATE REVENUE FOR THE COMPANY. A SMILE A GREET A POSITIVE ATTITUDE TO HELP.
I WORK IN A RETAIL AND I AM MYSELF A STORE MANAGER BUT I NEVER SEEN SUCH STAFF IN MY LIFE.
THANKS AGAIN FOR READING THIS. I HOPE MY FEEDBACK WILL ADD VALUE TO THE BUSSINESS. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3066548